# Update Lab Test Report

Use the `updateLabTestReport` to update a lab test report assigned to a user.

### Available Arguments

<table><thead><tr><th>Argument</th><th width="235.66666666666666">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>id</code></td><td>ID!</td><td>Unique ID of the lab test. Execute the <a href="https://docs.suggestic.com/coaching-portal/api-references/lab-test-reports/lab-test-report-list"><code>labTestReports</code></a> query to get the id of a lab test report.</td></tr><tr><td><code>testName</code></td><td>String</td><td>Test report name.</td></tr><tr><td><code>testDate</code></td><td>datetime</td><td>Date and time of the report.</td></tr><tr><td><code>labName</code></td><td>String</td><td>Laboratory name.</td></tr><tr><td><code>reportPdf</code></td><td>Upload</td><td>URL of the lab test report.</td></tr><tr><td><code>alert</code></td><td>Boolean</td><td><code>True</code> if alert is active otherwise <code>False.</code></td></tr><tr><td><code>alertText</code></td><td>String</td><td>Text shown in the alert.</td></tr><tr><td><code>alertAction</code></td><td>AlertAction</td><td><p></p><ul><li>ATTEMPTED_FAILED: Unable to contact.</li><li>CONTACTED: Member Contacted and resolved.</li></ul></td></tr><tr><td><code>alertStatus</code></td><td>AlertStatus</td><td><ul><li>IN_REVIEW: In Review.</li><li>REVIEWED: Lab Reviewed - No Alerts.</li><li>OUT_OF_RANGE: Biomarker(s) Out of Range.</li><li>OTHER: Other.</li><li>FOLLOW_UP: Follow-up Required.</li><li>NO_FOLLOW_UP: No Follow-up Required.</li><li>COMPLETED: Lab Alert Completed.</li></ul></td></tr><tr><td><code>videoUrl</code></td><td>String</td><td>Video URL to show in the report.</td></tr></tbody></table>

### Available Fields

| Field Name | Type    | Description                                                                                                                                                                 |
| ---------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `success`  | Boolean | **True** if the lab test report has been updated successfully. Otherwise, **Flase**                                                                                         |
| `message`  | String  | Description of the result.                                                                                                                                                  |
| `report`   | Object  | Object that returns the list of [lab test report fields.](https://docs.suggestic.com/coaching-portal/api-references/lab-test-reports/lab-test-report-list#available-fields) |

### Example 1

{% tabs %}
{% tab title="Request" %}

```graphql
mutation {
  updateLabTestReport(
    id: "TGFiVGVzdFJlcG9ydDo3MA=="
    testName: "Blood Test"
    labName: "Cleveland Lab"
    title: "Lab Report"
    testDate: "2022-02-01T05:00:00+00:00"
      ) {
    success
    message
    report {
      id
      testName
      reportPdf
      title
      testDate
    }
  }
}
```

{% endtab %}

{% tab title="Response" %}

```graphql
{
  "data": {
    "updateLabTestReport": {
      "success": true,
      "message": "Lab test report updated",
      "report": {
        "id": "TGFiVGVzdFJlcG9ydDo3MA==",
        "testName": "Blood Test",
        "reportPdf": "lab-test/5ed99232-ca13-4a65-92b2-fc098f829e04/biEd0KdheG7A.pdf",
        "title": "Lab Report",
        "testDate": "2022-02-01T05:00:00+00:00",
      }
    }
  }
}
```

{% endtab %}
{% endtabs %}

### Example 2 with Lab Alerts

{% tabs %}
{% tab title="Request" %}

<pre class="language-graphql"><code class="lang-graphql"><strong>mutation {
</strong>  updateLabTestReport(
    id: "TGFiVGVzdFJlcG9ydDo3MA=="
    testName: "Blood Test"
    labName: "Cleveland Lab"
    title: "Lab Report"
    testDate: "2022-02-01T05:00:00+00:00"
    alert: true,
    alertText: "Validation Error",
    alertStatus: "REVIEWED",
    alertAction: "CONTACTED"
      ) {
    success
    message
    report {
      id
      testName
      reportPdf
      title
      testDate
    }
  }
}
</code></pre>

{% endtab %}

{% tab title="Response" %}

```graphql
{
  "data": {
    "updateLabTestReport": {
      "success": true,
      "message": "Lab test report updated",
      "report": {
        "id": "TGFiVGVzdFJlcG9ydDo3MA==",
        "testName": "Blood Test",
        "reportPdf": "lab-test/5ed99232-ca13-4a65-92b2-fc098f829e04/biEd0KdheG7A.pdf",
        "title": "Lab Report",
        "testDate": "2022-02-01T05:00:00+00:00",
        "alert": true,
        "alertText":"Validation Error",
        "alertStatus":"REVIEWED",
        "alertAction":"CONTACTED"
      }
    }
  }
}
```

{% endtab %}
{% endtabs %}

### Example 3 with video URL

{% tabs %}
{% tab title="Request" %}

```graphql
mutation {
  updateLabTestReport(
    id: "TGFiVGVzdFJlcG9ydDo3MA=="
    testName: "Blood Test with video"
    videoUrl: "www.samplevideourl.com"
      ) {
    success
    message
    report {
      id
      testName
      videoUrl
    }
  }
}
```

{% endtab %}

{% tab title="Response" %}

```graphql
{
  "data": {
    "updateLabTestReport": {
      "success": true,
      "message": "Lab test report updated",
      "report": {
        "id": "TGFiVGVzdFJlcG9ydDo3MA==",
        "testName": "Blood Test with video",
        "videoUrl":"www.samplevideourl.com"
      }
    }
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.suggestic.com/graphql/query/mutations/lab-tests/update-lab-test-report.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
